/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.sensor.area;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.concurrent.Executors;
import org.openide.awt.ActionID;
import org.openide.awt.ActionReference;
import org.openide.awt.ActionRegistration;

/**
 *
 * @author Timon Veenstra
 */
@ActionID(id = "nl.cloudfarming.client.sensor.area.LinkActionListener", category = "Tools/Sensor")
@ActionRegistration(iconInMenu = true, displayName = "#link.process.title", iconBase="nl/cloudfarming/client/sensor/linksensordata.png")
@ActionReference(path = "Menu/Tools/Sensor", position = 60)
public class LinkActionListener implements ActionListener{

    private static final int POOL_SIZE = 1;
    
    @Override
    public void actionPerformed(ActionEvent e) {
        Thread processThread = new Thread(new LinkSensorTask(Executors.newFixedThreadPool(POOL_SIZE)));
        processThread.start();
    }
}
